;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                     ;;;
;;;  Aby Louw                                                           ;;;
;;;                                                                     ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                      ;;
;;;  A set of 1 to 1 backoff rules for the multisyn synthesiser          ;;
;;;                                                                      ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



;; backoff rules
(set! diphone_backoff_rules 
      '(
	;; Nasals
	( m n )
	( n ng )
	( n m )
	( ng n )
	( nj n )

	;; Stops or Plosives
	( p P )
	( p b )
	( b B )
	( b p )
	( t T )
	( t k )
	( d b )
	( k K )
	( g kg )

	;; Stops with aspiration
	( P p )
	( P B )
	( B b )
	( B P )
	( T t )
	( T K )
	( K k )
	( kg g )

	;; Fricative
	( f hl )
	( v f )
	( s sh )
	( z s )
	( K kg )
	( G h )
	( h H )
	( h f )
	( H h )
	( H G )
	( sh s )

	;; Lateral
	( hl sh )
	( l w )
	( l j )

	;; Clicks
	( q Q )
	( q qv )
	( c C )
	( c cv )
	( x xv )
	( x X )
	( qv q )
	( qv Q )
	( cv c )
	( cv C )
	( xv x )
	( xv X )

	;; Clicks with aspiration
	( Q q )
	( Q qv )
	( C c )
	( C cv )
	( X x )
	( X xv )

	;Affricate
	( tsh sh )
	( ts tsh )
	( ts s )
	( jh tsh )
	( jh j )

	;;"Lateral Affricate" - A hack!!!
	;;( kl <-- not used??
	( dl l )
	( dl jh )

	;; Tril
	( r l )

	;; Glide
	( j w )
	( w j )

	;; VOWELS
	( i e )
	( e i )
	( o u )
	( o a )
	( u o )
	( a o )

	;; FINAL BACKOFF
	( m pau)
	( n pau)
	( ng pau )
	( nj pau )
	
	( p pau )
	( b pau )
	( t pau )
	( d pau )
	( k pau )
	( g pau )
	( P pau )
	( B pau )
	( T pau )
	( K pau )
	( kg pau )
	( f pau )
	( v pau )
	( z pau )
	( G H )
	( G pau )
	( h pau )
	( H pau )
	
	( sh pau )
	( s pau )
	( tsh pau )
	( ts pau )
	( jh pau )
	
	( q pau )
	( c pau )
	( x pau )
	( qv pau )
	( cv pau )
	( xv pau )
	( Q pau )
	( C pau )
	( X pau )

	( hl pau )
	( l pau )
	( dl pau )
	( r pau )
	( j pau )
	( w pau )

	( i pau )
	( e pau )
	( o pau )
	( u pau )
	( a pau )
	)
      )


(define (csir_isizulu_buhle::select_backoff_rules)
  "(csir_isizulu_buhle::select_phoneset)
Set up phone set for csir_isizulu."
  (set! csir_isizulu_buhle_backoff_rules diphone_backoff_rules)
  )

(define (csir_isizulu_buhle::reset_backoff_rules)
  "(csir_isizulu_buhle::reset_phoneset)
Reset phone set for csir_isizulu."
  (set! diphone_backoff_rules nil)
  )


(provide 'csir_isizulu_buhle_diphone_backoff)
